Skip to content

Retrieve a collection

Request

You can fetch the details of a single collection by making a GET request to https://api.intercom.io/help_center/collections/<id>.

Security
bearerAuth
Path
collection_idintegerrequired

The unique identifier for the collection which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/help_center/collections/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Collection found

Bodyapplication/json
idstring

The unique identifier for the collection which is given by Intercom.

Example:"6871119"
workspace_idstring

The id of the workspace which the collection belongs to.

Example:"hfi1bx4l"
namestring

The name of the collection. For multilingual collections, this will be the name of the default language's content.

Example:"Default language name"
descriptionstring or null

The description of the collection. For multilingual help centers, this will be the description of the collection for the default language.

Example:"Default language description"
created_atinteger, (date-time)

The time when the article was created (seconds). For multilingual articles, this will be the timestamp of creation of the default language's content.

Example:1672928359
updated_atinteger, (date-time)

The time when the article was last updated (seconds). For multilingual articles, this will be the timestamp of last update of the default language's content.

Example:1672928610
urlstring or null

The URL of the collection. For multilingual help centers, this will be the URL of the collection for the default language.

Example:"http://intercom.test/help/collection/name"
iconstring or null

The icon of the collection.

Example:"book-bookmark"
orderinteger

The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.

Example:"1"
default_localestring

The default locale of the help center. This field is only returned for multilingual help centers.

Example:"en"
translated_contentobject or null(Group Translated Content)

The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

parent_idstring or null

The id of the parent collection. If null then it is the first level collection.

Example:"6871118"
help_center_idinteger or null

The id of the help center the collection is in.

Example:"123"
Response
{ "id": "170", "workspace_id": "this_is_an_id106_that_should_be_at_least_", "name": "English collection title", "url": "http://help-center.test/myapp-106/collection-22", "order": 22, "created_at": 1734537315, "updated_at": 1734537315, "description": "english collection description", "icon": "bookmark", "parent_id": null, "help_center_id": 84 }